/*
 * ChaosExplorer source file
 * Copyright (C) 2002-2003 by Roland Riegel <feedback@roland-riegel.de>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * $Id$
 *
 */

#if !defined(SIZEWINDOW_H)
#define SIZEWINDOW_H

#include <qdialog.h>

class QSpinBox;
class QPushButton;

class SizeWindow : public QDialog
{
	Q_OBJECT
public:
	SizeWindow( QWidget* parent = 0, int width = 20, int height = 20, const char* name = 0, WFlags f = 0 );
	~SizeWindow();

	int pictureWidth();
	int pictureHeight();

private:
	QSpinBox* m_spin_width;
	QSpinBox* m_spin_height;
	QPushButton* m_ok_button;
	QPushButton* m_cancel_button;
};

#endif // !defined(SIZEWINDOW_H)
